WebODM Install


#1

I have installed WebODM on a new PC and I cant seem to get the service started. I am getting the following error…

Hyper-V Requirements: VM Monitor Mode Extensions: Yes
Detected OS with VirtualBox support
Initializing console…
Checking for OpenSSH Client at C:\WINDOWS\system32\OpenSSH\ssh.exe
OpenSSH check passed
NAME ACTIVE DRIVER STATE URL SWARM DOCKER ERRORS
No default docker-machine, good!
SET DOCKER_TLS_VERIFY=1
SET DOCKER_HOST=tcp://192.168.99.100:2376
SET DOCKER_CERT_PATH=B:\docker-webodm\machines\webodm
SET DOCKER_MACHINE_NAME=webodm
SET COMPOSE_CONVERT_WINDOWS_PATHS=true
REM Run this command to configure your shell:
REM @FOR /f “tokens=*” %i IN (‘docker-machine --storage-path B:\docker-webodm env webodm’) DO @%i
Setup env variable: DOCKER_TLS_VERIFY=1
Setup env variable: DOCKER_HOST=tcp://192.168.99.100:2376
Setup env variable: DOCKER_CERT_PATH=B:\docker-webodm\machines\webodm
Setup env variable: DOCKER_MACHINE_NAME=webodm
Setup env variable: COMPOSE_CONVERT_WINDOWS_PATHS=true
Client:
Version: 18.02.0-ce
API version: 1.36
Go version: go1.9.4
Git commit: fc4de447b5
Built: Mon Feb 12 19:03:38 2018
OS/Arch: windows/amd64
Experimental: false
Orchestrator: swarm

Server: Docker Engine - Community
Engine:
Version: 18.09.0
API version: 1.39 (minimum version 1.12)
Go version: go1.10.4
Git commit: 4d60db4
Built: Wed Nov 7 00:52:55 2018
OS/Arch: linux/amd64
Experimental: false
Press Start WebODM to launch
192.168.99.100
Checking for MS Edge Zone…
Zones are OK
Press Start WebODM to launch
C:\WebODM Manager>cd WebODM/
C:\WebODM Manager\WebODM>docker-compose -f docker-compose.yml -f docker-compose.nodeodm.yml start || docker-compose -f docker-compose.yml -f docker-compose.nodeodm.yml up
Starting db …
Starting node-odm-1 …
Starting broker …
Starting worker …
Starting webapp …
e[1Ae[2K
Starting webapp … e[31merrore[0m
e[1Be[2Ae[2K
Starting worker … e[31merrore[0m
e[2B
ERROR: for db [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:661)
ERROR: for node-odm-1 [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:661)
ERROR: for broker [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:661)
SSL error: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:661)
SSL error: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:661)
C:\WebODM Manager\WebODM>exit 1
Error: docker-compose exited with code: 1

Any help would be great thanks!


#2

Hey @GRE-Drone :hand: make sure to download the latest version of WebODM Manager (after updating the version should read 1.6.2 or higher). Use the link from the e-mail you received when you purchased the installer, re-download the installer and re-run the setup file. Then restart WebODM Manager.